Bug 21305 - Update two-column templates with Bootstrap grid: Patron clubs
Summary: Update two-column templates with Bootstrap grid: Patron clubs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-08-31 17:59 UTC by Owen Leonard
Modified: 2019-10-14 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21305: Update two-column templates with Bootstrap grid: Patron clubs (4.46 KB, patch)
2018-08-31 18:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21305: Update two-column templates with Bootstrap grid: Patron clubs (4.60 KB, patch)
2018-09-05 01:19 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 21305: Update two-column templates with Bootstrap grid: Patron clubs (4.68 KB, patch)
2018-09-15 22:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-08-31 17:59:45 UTC
This patch will convert patron clubs templates to use the Bootstrap grid:

 - clubs/club-enrollments.tt
 - clubs/clubs.tt
Comment 1 Owen Leonard 2018-08-31 18:03:08 UTC
Created attachment 78345 [details] [review]
Bug 21305: Update two-column templates with Bootstrap grid: Patron clubs

This patch modifies patron clubs templates to use the Bootstrap grid
instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> Patron clubs
   - View club enrollments
Comment 2 Dilan Johnpullé 2018-09-05 01:19:28 UTC
Created attachment 78430 [details] [review]
Bug 21305: Update two-column templates with Bootstrap grid: Patron clubs

This patch modifies patron clubs templates to use the Bootstrap grid
instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> Patron clubs
   - View club enrollments

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 3 Jonathan Druart 2018-09-15 22:37:00 UTC
Created attachment 78909 [details] [review]
Bug 21305: Update two-column templates with Bootstrap grid: Patron clubs

This patch modifies patron clubs templates to use the Bootstrap grid
instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> Patron clubs
   - View club enrollments

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-09-16 18:23:39 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-09-17 14:35:36 UTC
Enhancement, will not be backported to 18.05.x series.